# 钢丝绳项目 

| Fork From : `http://gitlab.witium.com.cn/jie_embedded/gatewayble.git -b master`

## 简介

### 网关与传感器
1. 网关通过以太网连接互联网（拥有局域网IP）
2. 传感器需要配置网关局域网IP

### 使用
1. MQTT Config 该网关拥有的传感器设备
2. 等待IOT传感器被网关识别（传感器指示灯闪烁）
3. 此时，可配置阈值，可配置上上报周期

> MQTT Config 举例
```json
# 配置传感器设备
[{"taskId":"1454323425342","ss":[{"addr":"0","cfg":[{"period":300,"dev":[{"addr":"1","id":"003F0001"}]}]}]}]

# 配置阈值 [配置阈值如果配置的阈值过小，开始采集信号，传感器的值如果低于阈值，将不会回复数据给网关]
[{"taskId":"1454323425342","ss":[{"addr":"0","cfg":[{"threshold":1}]}]}]
```










