#ifndef MODBUS_UPDATE_H
#define MODBUS_UPDATE_H
/* Includes ------------------------------------------------------------------*/
#include "common.h"
#include "update_config.h"

/* Exported macros -----------------------------------------------------------*/
#define MBUPDATE_RENEW_ADDRESS			0x5000		//更新首地址
#define MBUPDATE_RENEW_PER_SIZE			120			//120 * 2Byte (120 Register)
#define MBUPDATE_INDICATION_ADDRESS		0x5078		//更新指示标识(package number)
#define MBUPDATE_CONFIRM_ADDRESS		0x5079		//更新确认
#define MBUPDATE_CONFIRM_SIZE			3			//密码位数(6位)

/* Exported functions --------------------------------------------------------*/
void 			MBUpdate_Poll(void);
void 			MBUpdate_WriteToBufferAndFlash(unsigned short usWriteAddress, unsigned short usWriteValue);
unsigned short 	MBUpdate_GetIndex(void);
void 			MBUpdate_SetIndex(unsigned short usIndexValue);
void 			MBUpdate_SetPassword(unsigned short usPasswordAddress, unsigned short usPasswordValue);

#endif
