#ifndef QUECTEL_H
#define QUECTEL_H
/* Includes ------------------------------------------------------------------*/
#include "quectel_3gpp.h"
#include "quectel_tcpip.h"
#include "quectel_gnss.h"
#include "quectel_http.h"

#if QUECTEL > 0
/* Exported functions --------------------------------------------------------*/
void 			Quectel_Poll(void);
void 			Quectel_BasicSettings(void);
#if CELLUAR_TCPIP_ENABLE > 0
void 			Quectel_TCPIPInit(unsigned long *pulRecommendedAPNIndex);
#endif
#if CELLUAR_NTP_ENABLE > 0
bool			Quectel_SyncNetworkTime(Calendar *pxCalendar);
#endif
#if CELLUAR_HTTP_ENABLE > 0
bool 			Quectel_HTTPPost(char *pcURL, unsigned char *pucPostData, unsigned long ulPostLen, unsigned char *pucResponse, unsigned long ulBufferLen,unsigned long *pulRespLen, unsigned long *pulErr);
bool 			Quectel_HTTPGet(char *pcURL, unsigned char *pucResponse, unsigned long ulBufferLen, unsigned long *pulRespLen, unsigned long *pulErr);
#endif
#endif
#endif
