#ifndef SIMCOM_3GPP_H
#define SIMCOM_3GPP_H
/* Includes ------------------------------------------------------------------*/
#include "celluar_comm.h"

#if SIMCOM > 0
#if CELLUAR_TCPIP_ENABLE > 0 || CELLUAR_SMS_ENABLE > 0
/* Exported types ------------------------------------------------------------*/


/* Exported functions --------------------------------------------------------*/
Celluar_ErrorStatus SIMCom_GetCardStatus(void);
Celluar_ErrorStatus SIMCom_GetSignal(unsigned char *pucRssi, unsigned char *pucBer);
Celluar_ErrorStatus SIMCom_GetRegistrationStatus(void);
Celluar_ErrorStatus SIMCom_GetCCID(char *pcCCID, unsigned long ulBufferLen);
Celluar_ErrorStatus SIMCom_SetNetworkRegistrationMode(unsigned char ucMode);
Celluar_ErrorStatus SIMCom_SetCOPSMode(unsigned char ucMode, unsigned char ucFormat);
Celluar_ErrorStatus SIMCom_BearerSettrings(unsigned char ucCmdType, unsigned char ucCid, char *pcConParamTag, char *pcConParamValue);
Celluar_ErrorStatus SIMCom_SetGPRSBearerID(unsigned char ucCid);
#endif
#endif
#endif
