#ifndef SIMCOM_GNSS_H
#define SIMCOM_GNSS_H
/* Includes ------------------------------------------------------------------*/
#include "common.h"
#include "celluar_comm.h"

#if SIMCOM > 0
/* Exported functions --------------------------------------------------------*/
#if CELLUAR_GNSS_ENABLE > 0
Celluar_ErrorStatus		SIMCom_ControlGNSSPower(bool bPowerOn);
Celluar_ErrorStatus		SIMCom_GetGNSSNavigationInfomation(double *pdLongitude, double *pdLatitude);
Celluar_ErrorStatus		SIMCom_SwitchToEngineeringMode(unsigned char ucMode, unsigned char ucNcell);
Celluar_ErrorStatus		SIMCom_GetCellArrayInfo(unsigned long *pulMcc, unsigned long *pulMnc, unsigned long *pulLac, unsigned long *pulCi, unsigned long *pulSignal, unsigned long *pulCellCount);
#endif
#endif
#endif
