#include "wcpCallBack.h"
#include <string.h>
#include <stdint.h>
#include "esp_log.h"


eWCPinfo eWCPAddressCB(unsigned char *pucRegBuffer, unsigned short usAddress, unsigned short usNRegs, eWCPoperate eMode)
{
    unsigned short usValue = 0;
	switch (eMode)
	{
        case ADDR_READ:
            while (usNRegs)
            {
                if(usAddress == 0x0010){
                    usValue = 10;
                }else if(usAddress == 0x0011){
                    usValue = 0x1223;
                }else if(usAddress == 0x0012){
                    usValue = 0x3456;
                }
                *pucRegBuffer++ = (unsigned char)(usValue >> 8);
                *pucRegBuffer++ = (unsigned char)usValue;
                usNRegs--;
                usAddress++;
            }
            break;
        case ADDR_WRITE:
            while (usNRegs)
            {
                usValue = (unsigned char)(*pucRegBuffer++) << 8;
                usValue |= *pucRegBuffer++;
                if(usAddress == 0x0010){
                    ESP_LOGD("wcp"," addr = %x, value = %x ", usAddress , usValue);
                }else if(usAddress == 0x0011){
                    ESP_LOGD("wcp"," addr = %x, value = %x ", usAddress , usValue);
                }else if(usAddress == 0x0012){
                    ESP_LOGD("wcp"," addr = %x, value = %x ", usAddress , usValue);
                }
                // if(usAddress == ) {

                // }
                usNRegs--;
                usAddress++;
            }
            break;
        default:
            break;
	}
	return WCP_OK;
}
