#ifndef __IF_APKG_CODE__H__
#define __IF_APKG_CODE__H__

#define  SENSOR_SAMPLING_NUM_APKG_ADDR             0x00000003
#define  SENSOR_FFT_RESOLUTION_APKG_ADDR           0x0000000F
#define  SENSOR_SPEED_SELECT_APKG_ADDR             0x00000012
#define  SENSOR_ODR_APKG_ADDR                      0x00000013
#define  SENSOR_EXTEND_INPUTSPEED_FLAG_APKG_ADDR   0x0000001C
// 采集波形时间
#define  SENSOR_COLLECT_TIME_APKG_ADDR          0x0000002C
// 同步时间戳
#define  SENSOR_SYNC_TIME_APKG_ADDR             0x0000003F
// 唤醒时间和唤醒间隔
#define  SENSOR_WAKEUP_TIME_APKG_ADDR           0x00000107
#define  SENSOR_MOTOR_RUN_STATUS_APKG_ADDR      0x0000010F
// 震动判断
#define  SENSOR_MOTOR_RUN_APKG_ADDR             0x00000110
// 输入转速配置标志
#define  SENSOR_INPUTSPEED_APKG_FLAG_ADDR       0x00000037
#define  SENSOR_INPUTSPEED_APKG_ADDR            0x00000010
// 轴承配置
#define  SENSOR_BEARING_APKG_CONFIG_ADDR        0x0000015A
#define  SENSOR_BEARING_APKG_CONFIG_FLAG_ADDR   0x00000035

// 齿轮配置
#define  SENSOR_GEAR_APKG_CONFIG_ADDR           0x00000188
#define  SENSOR_GEAR_APKG_CONFIG_FLAG_ADDR      0x00000036

// 风机配置
#define  SENSOR_FAN_APKG_CONFIG_ADDR            0x0000006A
#define  SENSOR_FAN_APKG_CONFIG_FLAG_ADDR       0x00000038

// 皮带配置
#define  SENSOR_BELT_APKG_CONFIG_ADDR           0x0000008F
#define  SENSOR_BELT_APKG_CONFIG_FLAG_ADDR      0x00000039

// 螺杆配置
#define  SENSOR_SCREW_APKG_CONFIG_ADDR          0x000000A8

// 传动轴配置
#define  SENSOR_SHAFT_APKG_CONFIG_ADDR          0x000000BD

// 阴阳螺杆配置
#define  SENSOR_FEMALESCREW_APKG_CONFIG_ADDR    0x000000D2
#define  SENSOR_MALESCREW_APKG_CONFIG_ADDR      0x000000EB

#define  SENSOR_XVAR_APKG_ADDR                  0X0000006F
// 采样个数
#define  SENSOR_SAMPLE_APKG_ADDR                0x00000003

// 温度地址
#define  SENSOR_TEMP_FEATURE_APKG_ADDR          0x000003E8
#define  SENSOR_TEMP_FEATURE_APKG_NUM           2

#define  SENSOR_ACC_DIMENSIO                    3
// 基本特征值地址
#define  SENSOR_BASE_FEATURE_APKG_ADDR          0x000003E8
#define  SENSOR_BASE_FEATURE_APKG_NUM           29 * 4
#define  SENSOR_BASE_MOTOR_FEATURE_APKG_NUM     80
#define  SENSOR_EXT_FEATURE_APKG_NUM            12
#define  SENSOR_BASE_EXT_FEATURE_NAX_NUM        144

// 轴承特征值地址
#define  SENSOR_BEARING1_FEATURE_APKG_ADDR      0x000005E8
#define  SENSOR_BEARING1_ALIAS_APKG_ADDR        0x00000168
#define  SENSOR_BEARING2_FEATURE_APKG_ADDR      0x00000650
#define  SENSOR_BEARING2_ALIAS_APKG_ADDR        0x00000177

#define  SENSOR_BEARING_BASE_NUM                16
#define  SENSOR_BEARING_ENVENERGY_NUM           12
#define  SENSOR_BEARING_FEATURE_APKG_NUM        36
#define  SENSOR_BEARING_SERIES                  104
// 齿轮特征值地址
#define  SENSOR_GEAR1_FEATURE_APKG_ADDR         0x000006B0 
#define  SENSOR_GEAR1_ALIAS_APKG_ADDR           0x00000194
#define  SENSOR_GEAR2_FEATURE_APKG_ADDR         0x00000710
#define  SENSOR_GEAR2_ALIAS_APKG_ADDR           0x000001A1 
#define  SENSOR_GEAR3_FEATURE_APKG_ADDR         0x00000770
#define  SENSOR_GEAR3_ALIAS_APKG_ADDR           0x000001AE 
#define  SENSOR_GEAE_BASE_NUM                   12    
#define  SENSOR_GEAR_EXT_NUM                    16
#define  SENSOR_GEAR_SERIES                     32           

// 风机特征值基地址
#define  SENSOR_FAN_FEATURE_AKPG_ADDR           0x000007D0
#define  SENSOR_FAN_AXIS_APKG_NUM               12
#define  SENSOR_FAN_ALIAS_APKG_ADDR             0x000007F4
#define  SENSOR_FAN_FEATURE_APKG_NUM            40

// 皮带特征值地址
#define  SENSOR_BELT_FEATURE_APKG_ADDR          0x000007FC
#define  SENSOR_BELT_AXIS_APKG_NUM              4
#define  SENSOR_BELT_SELF_VIBRATION_APKG_NUM    4
#define  SENSOR_BELT_ALIAS_APKG_ADDR            0x00000814
#define  SENSOR_BELT_FEATURE_APKG_NUM           28

// 螺杆特特征值地址 
#define  SENSOR_SCREW_FEATURE_AKPG_ADDR         0x0000081C
#define  SENSOR_SCREW_AXIS_APKG_NUM             12
#define  SENSOR_SCREW_ALIAS_APKG_ADDR           0x00000840
#define  SENSOR_SCREW_FEATURE_APKG_NUM          40

// 传动轴特征值地址
#define  SENSOR_SHAFT_FEATURE_AKPG_ADDR         0x00000848
#define  SENSOR_SHAFT_AXIS_APKG_NUM             12
#define  SENSOR_SHAFT_ALIAS_APKG_ADDR           0x0000086C
#define  SENSOR_SHAFT_FEATURE_APKG_NUM          40

// 阴阳螺杆特征值地址
#define  SENSOR_FEMALE_SCREW_FEATURE_AKPG_ADDR  0x00000874
#define  SENSOR_MALE_SCREW_FEATURE_AKPG_ADDR    0x000008A0
#define  SENSOR_FMMALE_AXIS_APKG_NUM            12
#define  SENSOR_FEMALE_ALIAS_APKG_ADDR          0x00000898
#define  SENSOR_MALE_ALIAS_APKG_ADDR            0x000008C4
#define  SENSOR_FMMALE_FEATURE_APKG_NUM         40

// 线频率特征值地址
#define  SENSOR_POWER_FREQUENCY_AKPG_ADDR       0x000008CC
#define  SENSOR_POWER_AXIS_APKG_NUM             12
// 传感器基本信息
#define  SENSOR_DEVICE_SN_APKG_ADDR             0x00001F40
#define  SENSOR_DEVICE_TYPE_APKG_ADDR           0x00001F68
#define  SENSOR_DEVICE_CHILDTYPE_APKG_ADDR      0x00001F7C
#define  SENSOR_DEVICE_LOGO_APKG_ADDR           0x00001F90
#define  SENSOR_DEVICE_DATA_APKG_ADDR           0x00001F98
#define  SENSOR_DEVICE_VERSION_APKG_ADDR        0x00001FA0
#define  SENSOR_DEVICE_INFO_APKG_NUM            99

#define  SENSOR_UPDATE_START_APKG_ADDR          0x0000FFFE
#define  SENSOR_UPDATE_BIN_APKG_ADDR            0x0000FFFF
#define  SENSOR_UPDATE_END_APKG_ADDR            0x000A6000

#endif
