#ifndef LIST_QUEUE_H
#define LIST_QUEUE_H
/* Includes ------------------------------------------------------------------*/
#include "common.h"

/* Exported macros -----------------------------------------------------------*/
/* Exported types ------------------------------------------------------------*/
//Receive buffer
typedef struct
{
	unsigned char *ucBuffer;
	unsigned long ulBufferLen;
} List_Buffer;

typedef struct 
{
	unsigned long 	ulFront;
	unsigned long 	ulRear;
	bool			bQueueFull;
	unsigned long 	ulQueueSize;
	unsigned long 	ulBufferSize;
	List_Buffer 	*xReceiveBuffer;
} List_Queue;

/* Exported functions --------------------------------------------------------*/
List_Queue List_QueueCreate(unsigned long ulQueueSize, unsigned long ulBufferSize);
bool List_QueueIsEmpty(List_Queue *pxQueue);
bool List_QueueIsFull(List_Queue *pxQueue);
void List_QueuePush(List_Queue *pxQueue);
void List_QueuePop(List_Queue *pxQueue);

#endif
