/**
 * @file GatewayFSM.h
 * @author your name (you@domain.com)
 * @brief 
 * @version 0.1
 * @date 2022-09-05
 * 
 * @copyright Copyright (c) 2022
 * 
 */

#ifndef __GATEWAY_FSM_H
#define __GATEWAY_FSM_H

#define TIMEOUT_COLLECT_TICK_MAX (1000 * 60 * 5)
#define TIMEOUT_MOTORSYNC_TICK_MAX (1000 * 60 * 5)

typedef enum
{
    GW_STATE_IDLE,
    GW_STATE_COLLECTING,
    GW_STATE_COMPLETED,
    GW_STATE_ERROR,
    GW_STATE_MOTORSYNC,
    GW_STATE_WAITFOR_MOTORSYNC,

    GW_STATE_MAX
} gw_state_t;

typedef struct
{
    uint32_t enable;   // enable speedSyncFSM
    uint32_t mpsAddr;  // motor monitor point addr
    float MotorARRate; // motor actual speed
    uint32_t state;    // now FSM state
} speedSyncFSM;

void vGatewayInit(void);
void vGatewayProcess(void);
gw_state_t xGatewayFSMStateGet(void);

#endif
