#ifndef QUECTEL_GNSS_H
#define QUECTEL_GNSS_H
/* Includes ------------------------------------------------------------------*/
#include <stdbool.h>
#include "celluar_comm.h"

#if QUECTEL > 0
/* Exported functions --------------------------------------------------------*/
#if CELLUAR_GNSS_ENABLE > 0
Celluar_ErrorStatus		Quectel_ControlGNSSPower(bool bPowerOn);
Celluar_ErrorStatus		Quectel_GetGNSSNavigationInfomation(double *pdLongitude, double *pdLatitude);
Celluar_ErrorStatus		Quectel_GetCellArrayInfo(unsigned long *pulMcc, unsigned long *pulMnc, unsigned long *pulLac, unsigned long *pulCi, unsigned long *pulSignal, unsigned long *pulCellCount);
Celluar_ErrorStatus 	Quectel_GetMccMnc(unsigned long *pulMccMnc);
Celluar_ErrorStatus 	Quectel_GetLacCi(unsigned long *pulLac, unsigned long *pulCi);
#endif
#endif
#endif
