#ifndef QUECTEL_TCPIP_H
#define QUECTEL_TCPIP_H
/* Includes ------------------------------------------------------------------*/
#include "common.h"
#include "celluar_comm.h"
#include "celluar_socket.h"

#if QUECTEL > 0
#if CELLUAR_TCPIP_ENABLE > 0
/* Exported functions --------------------------------------------------------*/
Celluar_ErrorStatus Quectel_GetNetworkAttachStatus(void);
Celluar_ErrorStatus Quectel_NetworkAttach(bool bStatus);
Celluar_ErrorStatus Quectel_SetAPN(char *pcAPN, char *pcUser, char *pcPassword);
Celluar_ErrorStatus Quectel_BringUpWirelessConnection(void);
Celluar_ErrorStatus Quectel_GetLocalIPAddress(void);
Celluar_ErrorStatus Quectel_GetNetStatus(char *pcNetStatus,  unsigned long ulBufferSize);
Celluar_ErrorStatus Quectel_DeactivateGPRS(void);
Celluar_ErrorStatus Quectel_Connect(unsigned long ulSocketID);
Celluar_ErrorStatus Quectel_Disconnect(unsigned long ulSocketID);
Celluar_ErrorStatus Quectel_Send(unsigned long ulSocketID, unsigned char *pucData, unsigned long ulDataSize);
Celluar_ErrorStatus Quectel_GetSocketStatus(unsigned long ulSocketID);
Celluar_ErrorStatus Quectel_SetSSL(bool bStatus);

#if CELLUAR_MULTIIPCONNECTION_ENABLE > 0
	Celluar_ErrorStatus Quectel_StartUpMultiIPConnection(bool bStatus);
#endif

#endif

#endif
#endif


